其他分享
首页 > 其他分享> > Open Cascade:如何从AIS_Shape导出TopoDS_Shape?

Open Cascade:如何从AIS_Shape导出TopoDS_Shape?

作者:互联网

Open Cascade:如何从AIS_Shape导出TopoDS_Shape?

实现代码如下:

if( !myAISContext->HasOpenedContext())
{
wxMessageBox(_T("It is necessary to activate the edges selection mode\n\and select edges on an object before \nrunning this function"),_T("Error!"));
return;
}

myAISContext->InitSelected();
if (myAISContext->MoreSelected()) {
Handle(AIS_Shape) S = Handle(AIS_Shape)::DownCast(myAISContext->SelectedInteractive());

if (S.IsNull()){
wxMessageBox(_T("It is necessary to activate the edges selection mode\n\and select edges on an object before \nrunning this function"),_T("Error!"));
return;
}

TopoDS_Shape Sh=S->Shape();

参考:

HOW TO GET THE TOPODS_SHAPE FROM A EXISTING AIS_SHAPE?

 

标签:selection,AIS,Cascade,Shape,edges,myAISContext,TopoDS
来源: https://www.cnblogs.com/2018shawn/p/10943429.html